/***************************************************************************
 *   Copyright (C) 2005 by Joel R. Voss                                    *
 *   jvoss@myuw.net                                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <gtk/gtk.h>

#include "interface.h"
#include "support.h"

// In case of a faulty automake, define this required define here.
#ifndef PACKAGE_DATA_DIR
#define PACKAGE_DATA_DIR "/home/jvoss/recent_18may/robots/robocat"
#endif

#include "gtkgui.h"

// Use the GUI
// The gui is a nice tamagotchi interface.
// It is based on Glade.
int gui_main(int argc, char *argv[], RobotCat *cat_init)
{
	cat1 = cat_init;

	GtkWidget *robot_cat_gui;
	
#ifdef ENABLE_NLS
	bindtextdomain(GETTEXT_PACKAGE, PACKAGE_LOCALE_DIR);
	bind_textdomain_codeset(GETTEXT_PACKAGE, "UTF-8");
	textdomain(GETTEXT_PACKAGE);
#endif
	
	gtk_set_locale();
	gtk_init(&argc, &argv);
	
	add_pixmap_directory (PACKAGE_DATA_DIR "/" PACKAGE "/pixmaps");
	
	/*
	* The following code was added by Glade to create one of each component
	* (except popup menus), just so that you see something after building
	* the project. Delete any components that you don't want shown initially.
	*/
	robot_cat_gui = create_robot_cat_gui();
	gtk_widget_show(robot_cat_gui);
	
	gtk_main();
	return 0;
}
